Get the preview file rows. All users can call this route. An administrator gets all the preview files. The other users get only the preview files of the tasks of open projects. A vendor gets only the preview files of the tasks assigned to them. The other users get only the preview files of the projects of their teams. Give project_id to get the preview files of one project. Add a query parameter for each column to filter on, for example name=Modeling. The name filter does not make a difference between upper case and lower case. To get the rows that have one value of a list, give the list in JSON, for example task_status_id=["
Query parameters
-
Page to get. Without this parameter, the response has all the rows.
-
Number of rows in a page. The default value is 100.
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
-
Add the related data to each row
Default value is
false. -
Comma-separated list of the fields to get for each row. The response always has id and type. The names that are not fields are ignored.
-
Keep only the preview files of the tasks of this project.
curl -X GET "http://api.example.com/data/preview-files?page=1&limit=50&relations=false" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/preview-files"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"page": 1,
"limit": 50,
"relations": false
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
[
{}
]
{
"data": [
{}
],
"total": 100,
"nb_pages": 2,
"limit": 50,
"offset": 0,
"page": 1
}